=== config/Makefile ===
##
#	SWISH++
#	config/Makefile
#
#	Copyright (C) 1998  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
# 
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
# 
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT=		..
include 	$(ROOT)/config/config.mk

.SUFFIXES:

##
# Build rules
##

TARGET=		$(PLATFORM_H_TARGET)

all config:	$(TARGET)

$(TARGET):	src/bool$(CCCEXT) \
		src/explicit$(CCCEXT) \
		src/mutable$(CCCEXT) \
		src/namespaces$(CCCEXT) \
		src/new_casts$(CCCEXT)
	./config.sh $(TARGET) $(CCCEXT) $(CCOEXT) $(CC) $(CCFLAGS)

##
# Utility rules
##

clean::

distclean dist:: clean
	$(RM) $(TARGET)
