=== man/Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 # Build rules
 ##
 
-all text ps clean dist distclean install uninstall::
+all text pdf ps clean dist distclean install uninstall::
 	@cd man1 && $(MAKE) $@
+	@cd man3 && $(MAKE) $@
 	@cd man4 && $(MAKE) $@
