## swish++ 5.15.3-3

=== debian/changelog ===
swish++ (5.15.3-3) unstable; urgency=low

  * Getting swish on the UploadQueue

 -- Michael Hummel <mhummel@debian.org>  Tue, 30 Mar 2004 16:02:39 +0200

swish++ (5.15.3-2) unstable; urgency=low

  * Loosing quotes in swish++.conf as well
  * Fixing typo in search.1
    (closes: #238172)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 21:03:43 +0200

swish++ (5.15.3-1) unstable; urgency=low

  * New upstream release
  * Bumping Standards-Version to 3.6.1
  * Including tab and newline in  ShellFilenameEscapeChars[] and ShellFilenameDelimChars[]\
  and loosing the quotes in the FAQ.Debian filter example. Thanks to calvin for those
  (closes: #238362)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 18:00:48 +0200

swish++ (5.14.2-1) unstable; urgency=low

  * New upstream release
    (
    Shell meta charakters are now escaped (closes: #205342)
    Filenames with spaces are handled correctly by filter (closes: #194358)
    )
  

 -- Michael Hummel <mhummel@debian.org>  Tue, 19 Aug 2003 16:48:36 +0200

swish++ (5.13.5-1) unstable; urgency=low

  * New upstream release
  * Changed FilterFile rules in swish++.conf
    (closes: #194358)

 -- Michael Hummel <mhummel@debian.org>  Tue, 27 May 2003 21:02:12 +0200

swish++ (5.13.2-2) unstable; urgency=medium

  * Applied a patch to fix the mod_man problem
    (closes: #176796)

 -- Michael Hummel <mhummel@debian.org>  Wed, 29 Jan 2003 07:41:09 +0100

swish++ (5.13.2-1) unstable; urgency=low

  * New upstream release
  * Waived the original install procedure, because it was terribly opaque 
  * Switched to Standards-Version: 3.5.8

 -- Michael Hummel <mhummel@debian.org>  Sat, 18 Jan 2003 14:26:15 +0100

swish++ (5.12.1-1) unstable; urgency=low

  * New upstream release  
  * WORD_THRESHOLD back at 250.000, because it's no longer only a compile time
    option and can be lowered through an user swish++.conf file or a
    command line switch (-W)
  * Fixed an indentation problem in the search++ man page (closes: #171656)

 -- Michael Hummel <mhummel@debian.org>  Thu,  5 Dec 2002 00:00:21 +0100

swish++ (5.11-2) unstable; urgency=low

  * Applied a pre.5.11.1 patch from Paul
  (closes: #167576)

 -- Michael Hummel <mhummel@debian.org>  Wed, 20 Nov 2002 17:24:58 +0100

swish++ (5.11-1) unstable; urgency=low

  * New upstream release (closes: #166932) 
  * Patches are now splitted and located in a directory of its own
  * Moved all the daemon scripts and documentation to examples/daemon
  * Some cosmetic cleanup - like fixing executable defaults in example scripts   
    (closes: #166242)
  * Suggesting antiword for filtering and extracting options

 -- Michael Hummel <mhummel@debian.org>  Sat,  2 Nov 2002 08:36:04 +0100

swish++ (5.9.6-3) unstable; urgency=low

  * Removed offending searchd.8 man page; moved converted man page and
    script to the examples directory; cleaned up links to the man page
    (closes: #163542)
  * Cosmetic clean up (rules)

 -- Michael Hummel <mhummel@debian.org>  Sun,  6 Oct 2002 21:57:15 +0200

swish++ (5.9.6-2) unstable; urgency=low

  * Changing to 3.5.7 standard

 -- Michael Hummel <mhummel@debian.org>  Thu,  3 Oct 2002 09:05:23 +0200

swish++ (5.9.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Fri, 13 Sep 2002 20:38:02 +0200

swish++ (5.9.5-1) unstable; urgency=low

  * New upstream release
  * Compiled with g++-3.2
    (closes: #160105)

 -- Michael Hummel <mhummel@debian.org>  Sun,  8 Sep 2002 18:40:04 +0200

swish++ (5.9.2-1) unstable; urgency=low

  * New upstream release
  * Some cosmetic changes (swishmutt.sh)
  * Added a FAQ.Debian regarding the index of ro directories ...
    (closes: #138553)
  * Compiled with gcc-3.1 on i386 (see below ...)

 -- Michael Hummel <mhummel@debian.org>  Sun, 14 Jul 2002 16:51:11 +0200

swish++ (5.7-2) unstable; urgency=low

  * Suggesting xpdf-utils instead of xpdf, due to changes in
    the xpdf package(s)
  * Moved /etc/swish++.conf to /usr/share/doc/swish++/
  * Cosmetical changes in the examples directory

 -- Michael Hummel <mhummel@debian.org>  Thu, 28 Feb 2002 22:03:28 +0100

swish++ (5.7-1) unstable; urgency=medium

  * New upstream release
    (closes: #129389)
  * Some cosmetic changes (README.Debian, swishmutt.sh)
  * Fixed (old) sed script bug - no empty man page anymore
    (closes: #133269)

 -- Michael Hummel <mhummel@debian.org>  Mon, 11 Feb 2002 20:55:58 +0100

swish++ (5.6-2) unstable; urgency=low

  * Dirty compiler trick: needed gcc-3.0 on i386 and gcc-2.95 on the
    rest. The i386 version is compiled with g++ linked to gcc-3.0.
  * Depends now on libstdc++3 therefore. 
  * Optimization should speed up indexing (~30%)
  * Lowered threshold to 100.000
  *  (closes: #130605)
  * Added an email-indexing-example-directory (howto + a script example
    from me + a patched version of Kai Grossjohann's nnir.el) 

 -- Michael Hummel <mhummel@debian.org>  Tue, 29 Jan 2002 19:00:54 +0100

swish++ (5.6-1) unstable; urgency=high

  * New upstream release 
  * Removed compiler optimization flags; will have to wait for a upstream
    solution to re-include optimization. (Safe bet: trading speed for
    random segfaults)  
  *  (closes: #129390)

 -- Michael Hummel <mhummel@debian.org>  Sun, 20 Jan 2002 16:30:17 +0100

swish++ (5.5.3-1) unstable; urgency=medium

  * Adopted this orphan
  (closes: #88974)
  * Assuming some more progressive default values in swish++.conf
  * Suggesting xpdf (pdftotext) for attachment filtering ...
  * Some polishing with fixmanpage
  * Some new primitiveness (regarding the patches), as a gradual approach
    to adoption
  * New upstream release seems to fix the ia64 build bug - 
    built successfully on caballero
   (closes: #119736)
  * Added a minimal manpage for searchc

 -- Michael Hummel <mhummel@debian.org>  Sun, 30 Dec 2001 01:16:03 +0100

swish++ (5.1-0.1) unstable; urgency=medium

  * New upstream release.
  * Marking the package as orphaned.

