=== debian/control ===
Source: swish++
Section: web
Priority: optional
Maintainer: Michael Hummel <mhummel@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: swish++
Architecture: any
Depends: ${shlibs:Depends}, perl5
Suggests: xpdf-utils, antiword
Description: Simple Document Indexing System for Humans: C++ version
 SWISH++ is a Unix-based file indexing and searching engine
 (typically used to index and search files on web sites).  It
 was based on SWISH-E although SWISH++ is a complete rewrite.
 SWISH++ was developed to circumvent author's difficulties with
 using the SWISH-E package.
 .
 SWISH++ features:
   * Lightning-fast indexing
   * Indexes META elements, ALT, and other attributes
   * Selectively not index text within HTML or XHTML elements
   * Intelligently index mail and news files
   * Index Unix manual page files
   * Apply filters to files on-the-fly prior to indexing
   * Index non-text files such as Microsoft Office documents
   * Modular indexing architecture
   * Index new files incrementally
   * Index remote web sites
   * Handles large collections of files
   * Lightning-fast searching
   * Optional word stemming (suffix stripping)
   * Ability to run as a search server
   * Easy-to-parse results format
   * Generously commented source code
