## swish++ 5.15.3-3.1

=== debian/changelog ===
swish++ (5.15.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with g++ 4.0
    (Closes: #302561)
  * Add missing Build-Depends on zlib1g-dev

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 21:31:30 +0200
