=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Michael Hummel <mhummel@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
+Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
 Standards-Version: 3.6.1
 
 Package: swish++
