## swish++ 5.15.3-3.2

=== debian/changelog ===
swish++ (5.15.3-3.2) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356160).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:01:50 +0200
