## swish++ 6.1.5

=== debian/changelog ===
swish++ (6.1.5-6) unstable; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Moved repository to salsa.debian.org.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for swish++.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Set debhelper-compat version in Build-Depends.
  * Remove patches fix_splitmail_manpage that are missing from
    debian/patches/series.

  [ Håvard Flaget Aasen ]
  * Refresh all patches using quilt.
  * Change to dh sequencer. Closes: #838727
    - This includes target build-arch and build-indep. Closes: #998917
    - Build also respects DEB_BUILD_OPTIONS nostrip and noopt. Closes: #908047
  * d/watch: Bump to version 4.
  * Change capitalization on Vcs* fields.
  * Bump debhelper to 13.
  * Drop quilt as build dependency.
  * Convert d/email_indexing/nnir.el to utf-8
  * Document Root-Requires-Root.
  * Update Standards-Version to 4.6.0.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 20 Dec 2021 18:22:13 +0100

swish++ (6.1.5-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-7, patch 853673.patch
  * Set source/format to 3.0 (quilt)

 -- Tobias Frost <tobi@debian.org>  Sat, 12 Aug 2017 00:47:44 -0400

swish++ (6.1.5-4) unstable; urgency=medium

  * QA upload.
  * Change compat level to 9 (Closes: #817683)
  * Add patch to compile with GCC-6 (Closes: #811797)
  * Call right index++ in httpindex binary (Closes: #663620)
  * Fix patch splitmail_junk_header (Closes: #545230)

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Sep 2016 00:41:38 +0200

swish++ (6.1.5-3) unstable; urgency=high

  * QA upload
  * Switch Maintainer to Debian QA Group
  * Change dependency on perl5 to perl (Closes: #808323)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 18 Dec 2015 16:39:14 +0000

swish++ (6.1.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add fix_ftbfs_with_gcc4.7 patch.
    Fix FTBFS with gcc 4.7 by adding 'this->' where needed.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667386)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 May 2012 09:06:13 +0200

swish++ (6.1.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with newer GCC 4.6 (Closes: #629813) and with binutils-gold
    (Closes:#556479).  Patches thanks to Georgios M. Zarkadas.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Sep 2011 19:37:31 +0200

swish++ (6.1.5-2) unstable; urgency=low

  * Added some more detailed remarks in README.Debian about
    the use of swish++ in cron scripts based on remarks from
    upstream author Paul J. Lucas.
    - we do not need the print_failed_filter patch. Users
      should run with "-v4" instead.
    - the bugs #459611 and #461349 are marked "wontfix" now
      that instructions on fixing these problems are provided.
  * debian/watch: Added entry for take new upstream .tar.gz name.
  * debian/rlimit: Ensure that hard limit is set with "-H" flag to
    ulimit.
  * debian/patches/fixincludes_gcc4.4: Added fix for gcc4.4 FTBFS
    thanks to Martin MichlMayr. Closes: #504850.
  * debian/control: Standards Version 3.8.0. No other changes
    required.
  * debian/patches/print_failed_filter: Removed. No longer required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 05 Mar 2009 18:58:35 +0530

swish++ (6.1.5-1) unstable; urgency=low

  * New upstream release (6.1.5)
  * debian/control:
    - added Homepage: field pointing to sourceforge site.
    - Standards Version: 3.7.3.
  * Implemented a partial solution to #459611 and #461349
    as a wrapper for filters which imposes resource limits:
    - debian/rlimit: the wrapper script.
    - debian/rules: modified the "binary-arch" rule to actually
      install the script in examples directory.
    - README.Debian: added documentation on this problem.
  * debian/patches/print_failed_filter: generate error message
    about failed filter. (Closes: #211513)
  * debian/control: Added Vcs-Svn tag.
  * Updated debhelper usage:
    - debian/compat: set to '4'.
    - debian/rules: removed definition of DH_COMPAT.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 21 Feb 2008 16:04:29 +0530

swish++ (6.1.4-2) unstable; urgency=low

  * debian/patches:
    - add_explicit_cstdlib_dependencies: Add explicit
      include for cstdlib. Thanks to Martin Michlmayr for the
      patch. Closes: #417712.
    - use_PATH_MAX_from_climits: Comment out upstream's
      redefinition of PATH_MAX. Closes: #397955.
    - fix_man_pages: Remove extra space in synopsis for man/man1/splitmail.1
      Closes: #384988.
    - fix_man4to5: Change references from section 4 to section 5 in
      all relevant man pages.
    - splitmail_junk_header: Make splitmail save a non-mail junk header
      to a separate file. Closes: #420791.
  * debian/watch: Fix url for sourceforge.
  * debian/changelog: Fix typo in the previous entry closing #242238.
  * debian/control: Change maintainer's e-mail address.
  * debian/copyright: Edited out the old address of FSF.

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon,  6 Aug 2007 07:13:25 +0530

swish++ (6.1.4-1) unstable; urgency=low

  * New Maintainer. Closes: #385743.
  * New upstream release (6.1.4). Closes: #321674.
     - Builds with g++ 4.1. Closes: #356160.
  * debian/patches:
     - incorporated patches under "quilt".
     - patch from Andreas Jochens to cast char to int correctly for
       64bit arches. Closes: #302561.
  * debian/rules:
    - updated for new location of scripts in source.
    - changed "configure-stamp" to use /usr/share/quilt/quilt.make.
      following suggestion of James Westby.
    - replaced use of "debian/fixmanpages" by use of
      quilt.
    - changed "configure-stamp" to fix manpage location.
      Closes: #282508.
    - DH_COMPAT=4
    - Use "distclean" target of toplevel Makefile.

