=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: swish++
 Section: web
 Priority: optional
-Maintainer: Michael Hummel <mhummel@debian.org>
-Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), zlib1g-dev
+Vcs-Git: https://salsa.debian.org/debian/swishplusplus.git
+Vcs-Browser: https://salsa.debian.org/debian/swishplusplus
+Standards-Version: 4.6.0
+Homepage: http://swishplusplus.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: swish++
 Architecture: any
-Depends: ${shlibs:Depends}, perl5
+Depends: ${shlibs:Depends}, perl, ${misc:Depends}
 Suggests: xpdf-utils, antiword
 Description: Simple Document Indexing System for Humans: C++ version
  SWISH++ is a Unix-based file indexing and searching engine
  (typically used to index and search files on web sites).  It
  was based on SWISH-E although SWISH++ is a complete rewrite.
- SWISH++ was developed to circumvent author's difficulties with
- using the SWISH-E package.
  .
  SWISH++ features:
    * Lightning-fast indexing
@@ -32,4 +34,3 @@
    * Optional word stemming (suffix stripping)
    * Ability to run as a search server
    * Easy-to-parse results format
-   * Generously commented source code
