=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

tmp := $(CURDIR)/debian/swish++
renamed := extract index search splitmail
man4to5 := man4/swish++.conf.4  man4/swish++.index.4

install_file = install -p     -m 644
install_program = install -p  -m 755
install_script = install -p   -m 755
makedirectory = install -p -d -m 755

%:
	dh $@ --no-parallel

execute_after_dh_auto_clean:
	rm -f init_mod_vars.c
	# Clean up the renamed man-pages
	for i in $(renamed); do rm -f $(CURDIR)/man/man1/$${i}++.1; done;
	# Remove copied man-pages
	rm -rf $(CURDIR)/man/man5

execute_after_dh_auto_configure:
	# Fix location of man pages
	mkdir -p $(CURDIR)/man/man5
	for i in $(man4to5); do j=$$(echo $${i} | tr '4' '5'); cp -p man/$${i} man/$${j}; done

override_dh_auto_build:
	dh_auto_build -- "OPTIM=$(CFLAGS)"

execute_after_dh_auto_install:
	$(makedirectory) $(tmp)/usr/lib/swish++
	$(makedirectory) $(tmp)/usr/bin
	$(install_file) WWW.pm $(tmp)/usr/lib/swish++/
	$(install_program) search $(tmp)/usr/bin/search++
	$(install_program) extract $(tmp)/usr/bin/extract++
	$(install_program) index $(tmp)/usr/bin/index++
	$(install_script) scripts/splitmail $(tmp)/usr/bin/splitmail++
	$(install_script) scripts/httpindex $(tmp)/usr/bin/httpindex

	cd $(CURDIR)/man/man1 && for i in $(renamed); do cp -p $${i}.1 $${i}++.1; done;

	$(makedirectory) $(CURDIR)/debian/daemon
	$(install_script) scripts/searchmonitor $(CURDIR)/debian/daemon/searchmonitor
	$(install_script) scripts/searchc $(CURDIR)/debian/daemon/searchc
	$(install_script) scripts/searchd $(CURDIR)/debian/daemon/searchd

override_dh_installexamples:
	dh_installexamples $(CURDIR)/debian/email_indexing/ \
		$(CURDIR)/debian/oo_indexing $(CURDIR)/debian/daemon/ \
		$(CURDIR)/swish++.conf  $(CURDIR)/www_example/ \
		$(CURDIR)/debian/rlimit

override_dh_installman:
	dh_installman man/man1/splitmail++.1 man/man1/search++.1 \
		man/man1/extract++.1 man/man1/index++.1 \
		man/man1/httpindex.1 man/man3/WWW.3 man/man5/swish++.conf.5 \
		man/man5/swish++.index.5
