=== debian/watch ===
version=4

https://sf.net/swishplusplus/swishplusplus-([0-9.]*)\.tar\.gz
https://sf.net/swishplusplus/swish\+\+-([0-9.]*)\.tar\.gz
